<div class="centering" style="width:95%;margin-top: 2%;">
	<div id='keterangan_saksi' style="border: 1px solid #ffffff;">
		<div class="cssTable" style="padding: 2px;background-color: white;">
        <table id='tableDetilPerkara' style="font-size:14px;">
			<col width="45%">
			<col width="55%">
				<tbody>
				<tr>
					<td style="padding:4px;background:white;font-size:16px;color:#111;" align="center" colspan="2"><strong><?php echo($namahalaman); ?></strong></td>
				</tr>
		</table>
		<div style="float:left;">	
  	 	Tanggal Sidang : <?php echo $this->tanggalhelper->convertDayDate($tanggal_sidang);?>
  	 	<br>Agenda Sidang  : <?php echo $agenda;?>
		</div>
		<div style="float:right;">	
  	 	Panitera Pengganti : <?php echo $panitera_pengganti;?>
		</div>
		<div><br>
		<div id="divpelaks_relaas">
		<table id="pelaks_relaas" width="100%" style="overflow:auto;" class="table" border="1" cellpadding="0" cellspacing="0">
			<tr >
			<th width='5%'>No.</th>
			<th width='20%'>Pihak</th>
			<th width='10%'>Status Pihak</th>
			<th width='10%'>Tanggal Pelaksanaan</th>
			<th width='12%'>Bertemu/ Tidak</th>
			<th width='45%'>Keterangan Relaas</th>
			<th width='11%'>Dokumen Relaas</th>
			</tr>
			<?php 
			if($list_pihak_direlaas->num_rows()>0){
				$i=1;$ket='';
				foreach ($list_pihak_direlaas->result() as $row) {
					if($row->ketpihak=='pihak' && $row->pihakke==1){
						if($alur_perkara_id==1 || $alur_perkara_id==8 || $alur_perkara_id==9 || $alur_perkara_id==11 || $alur_perkara_id==15 || $alur_perkara_id==7){
							$ket='Penggugat';
						}else if($alur_perkara_id==2 || $alur_perkara_id==3 || $alur_perkara_id==4 || $alur_perkara_id==5 || $alur_perkara_id==6 || $alur_perkara_id==10 || $alur_perkara_id==12 || $alur_perkara_id==13 || $alur_perkara_id==14 || $alur_perkara_id==16 || $alur_perkara_id==119 || $alur_perkara_id==123){
							$ket='Pemohon';
						}
					}else if($row->ketpihak=='pihak' && $row->pihakke==2){
						if($alur_perkara_id==1 || $alur_perkara_id==8 || $alur_perkara_id==9 || $alur_perkara_id==11 || $alur_perkara_id==15 || $alur_perkara_id==7){
							$ket='Tergugat';
						}else if($alur_perkara_id==2 || $alur_perkara_id==3 || $alur_perkara_id==4 || $alur_perkara_id==5 || $alur_perkara_id==6 || $alur_perkara_id==10 || $alur_perkara_id==12 || $alur_perkara_id==13 || $alur_perkara_id==14 || $alur_perkara_id==16 || $alur_perkara_id==119 || $alur_perkara_id==123){
							$ket='Termohon';
						}					
					}else if($row->ketpihak=='saksi_ahli_p' && $row->pihakke==5){
						if($alur_perkara_id==1 || $alur_perkara_id==8 || $alur_perkara_id==9 || $alur_perkara_id==11 || $alur_perkara_id==15 || $alur_perkara_id==7){
							$ket='Saksi Ahli Penggugat';
						}else if($alur_perkara_id==2 || $alur_perkara_id==3 || $alur_perkara_id==4 || $alur_perkara_id==5 || $alur_perkara_id==6 || $alur_perkara_id==10 || $alur_perkara_id==12 || $alur_perkara_id==13 || $alur_perkara_id==14 || $alur_perkara_id==16 || $alur_perkara_id==119 || $alur_perkara_id==123){
							$ket='Saksi Ahli Pemohon';
						}					
					}else if($row->ketpihak=='saksi_ahli_t' && $row->pihakke==5){
						if($alur_perkara_id==1 || $alur_perkara_id==8 || $alur_perkara_id==9 || $alur_perkara_id==11 || $alur_perkara_id==15 || $alur_perkara_id==7){
							$ket='Saksi Ahli Tergugat';
						}else if($alur_perkara_id==2 || $alur_perkara_id==3 || $alur_perkara_id==4 || $alur_perkara_id==5 || $alur_perkara_id==6 || $alur_perkara_id==10 || $alur_perkara_id==12 || $alur_perkara_id==13 || $alur_perkara_id==14 || $alur_perkara_id==16 || $alur_perkara_id==119 || $alur_perkara_id==123){
							$ket='Saksi Ahli Termohon';
						}
					}else if($row->ketpihak=='intervensi' && $row->pihakke==3){
						$ket='Intervensi';
					}else if($row->ketpihak=='turut' && $row->pihakke==4){
						$ket='Turut Tergugat';
					}else if($row->ketpihak=='pengacara' && $row->pihakke==1){
						if($alur_perkara_id==1 || $alur_perkara_id==8 || $alur_perkara_id==9 || $alur_perkara_id==11 || $alur_perkara_id==15 || $alur_perkara_id==7){
							$ket="Kuasa Hukum Penggugat";
						}else if($alur_perkara_id==2 || $alur_perkara_id==3 || $alur_perkara_id==4 || $alur_perkara_id==5 || $alur_perkara_id==6 || $alur_perkara_id==10 || $alur_perkara_id==12 || $alur_perkara_id==13 || $alur_perkara_id==14 || $alur_perkara_id==16 || $alur_perkara_id==119 || $alur_perkara_id==123){
							$ket="Kuasa Hukum Pemohon";
						}
					}else if($row->ketpihak=='pengacara' && $row->pihakke==2){
						if($alur_perkara_id==1 || $alur_perkara_id==8 || $alur_perkara_id==9 || $alur_perkara_id==11 || $alur_perkara_id==15 || $alur_perkara_id==7){
							$ket="Kuasa Hukum Tergugat";
						}else if($alur_perkara_id==2 || $alur_perkara_id==3 || $alur_perkara_id==4 || $alur_perkara_id==5 || $alur_perkara_id==6 || $alur_perkara_id==10 || $alur_perkara_id==12 || $alur_perkara_id==13 || $alur_perkara_id==14 || $alur_perkara_id==16 || $alur_perkara_id==119 || $alur_perkara_id==123){
							$ket="Kuasa Hukum Termohon";
						}
					}

					$tgl_skrg=date('d/m/Y');
					if(empty($row->tanggal_relaas) || $row->tanggal_relaas=='0000-00-00'){
						$tanggal_relaas=$tgl_skrg;						
					}else{
						$tanggal_relaas=$this->tanggalhelper->convertToInputDate($row->tanggal_relaas);
					}

					if($row->ket_temu=='T'){
						$tdktemu='selected';
					}else{
						$tdktemu='';
					}

					if(!empty($row->ket_hasil_relaas)){
						$ket_relaas=$row->ket_hasil_relaas;
						$tgl_relaas=$tanggal_relaas;
						if($row->ket_temu=='T'){
							$is_ketemu='Tidak Bertemu';							
						}elseif($row->ket_temu=='Y'){
							$is_ketemu='Bertemu';							
						}
						$info_relaas=$row->ket_hasil_relaas;						
					}else{
						$ket_relaas='';
						$tgl_relaas='';
						$is_ketemu='Belum Dilaksanakan';
						$info_relaas='-';
					}
					if($this->session->userdata('idgroup')==600||$this->session->userdata('idgroup')==1){
					    echo "<tr >
					    	<td height='30' id='data_id".$i."' pihakid".$i."=".$row->pihak_id.">".$i."</td>
					    	<td height='30' id='r_pihak".$i."'>".$row->nama."</td>
					    	<td height='30' id='r_spihak".$i."'>".$ket."</td>
					    	<td height='30' class='pelaksanaan' id='r_pelaks".$i."'><input name='laks' value=".$tanggal_relaas." id='tgl_pelaks".$i."' type='text' class='datepicker' placeholder='tgl/bln/tahun'></td>
					    	<td height='30' class='temu' id='r_temu".$i."'>                                 
		                        <select name='bertemu' id='bertemu".$i."' style='width:120px;' class='temu custom-dropdown__select custom-dropdown__select--white'>
		                            <option value='Y' ".$tdktemu.">Bertemu</option>
		                            <option value='T' ".$tdktemu.">Tidak Bertemu</option>
		                        </select>
		                                
					    	</td>
					    	<td height='30' class='ketrelaas' id='r_ket".$i."'>".$ket_relaas."</td>
					    	<td height='30' class='upload_relaas' id='r_upload".$i."'>";
					    	$baseurl=$row->doc_relaas;
			                if (($baseurl) and (file_exists($baseurl))){
			                    echo '<a target="_new" href='.$baseurl.'>Lihat</a> | <a href="#" id="upload_doc"'.$i.' onClick="popup_form(\''.base_url("fileupload/".$enc."/relaas/".$idjadwal."/".$row->pihak_id).'\')">Edit</a>';
			                }else{
				                echo '<div class="up_doc"><a href="#" id="upload_doc"'.$i.' onClick="popup_form(\''.base_url("fileupload/".$enc."/relaas/".$idjadwal."/".$row->pihak_id).'\')">Upload Relaas</a></div>';
			                }			    	
							
					    	echo "</td>
					    	
					    </tr>";				
					    $i++;
					}else{																	
						echo "<tr >
					    	<td height='30' id='data_id".$i."' pihakid".$i."=".$row->pihak_id.">".$i."</td>
					    	<td height='30' id='r_pihak".$i."'>".$row->nama."</td>
					    	<td height='30' id='r_spihak".$i."'>".$ket."</td>
					    	<td height='30' class='pelaksanaan' id='r_pelaks".$i."'>".$tgl_relaas."</td>
					    	<td height='30' class='temu' id='r_temu".$i."'>".$is_ketemu."</td>
					    	<td height='30' class='ketrelaas' id='r_ket".$i."'>".$info_relaas."</td>
					    	<td height='30' class='upload_relaas' id='r_upload".$i."'>";
					    	$baseurl=$row->doc_relaas;
			                if (($baseurl) and (file_exists($baseurl))){
			                    echo '<a target="_new" href='.$baseurl.'>Lihat</a>';
			                }else{
				                echo 'Dokumen Belum Ada';
			                }			    	
							
					    	echo "</td>
					    	
					    </tr>";
					    $i++;
					}
				}
				
			}

		    ?>

		</table>
		<strong>Keterangan : </strong><br>
		- Hasil relaas akan otomatis tersimpan ketika sudah lengkap terisi tanggal_pelaksanaan, bertemu/tidak bertemu, dan keterangan relaas<br>
		- Untuk mengisi keterangan relaas klik 2x pada kolom Keterangan Relaas
		</div>
		</div>
			<div style="text-align:center;"><input type="button" id="close_hasil_relaas" value="Tutup" style="text-decoration:none" class="btn btn-danger"></div>
		</div>
	</div>
	</div>
</div>

<script type="text/javascript">
$('table#pelaks_relaas tr').each(function() {
    var isKet = $(this).find("td.ketrelaas").html();
    if(isKet==''){
    	$(this).find(".up_doc").hide();	
    }else{
    	$(this).find(".up_doc").show();	
    }
 });

<?php 
if($this->session->userdata('jenis_pengadilan')==1){
?>
    $('#close_hasil_relaas').click(function(){
        window.open("<?php echo base_url('perkara_detil/'.$enc.'/4');?>","_self");    
    });
<?php
}else if($this->session->userdata('jenis_pengadilan')==2){
?>
    $('#close_hasil_relaas').click(function(){
        window.open("<?php echo base_url('perkara_detil_mil/'.$enc.'/4');?>","_self");    
    });    
<?php
}else if($this->session->userdata('jenis_pengadilan')==3){
?>
    $('#close_hasil_relaas').click(function(){
        window.open("<?php echo base_url('perkara_detil_tun/'.$enc.'/4');?>","_self");    
    });
<?php
}else if($this->session->userdata('jenis_pengadilan')==4){
?>
    $('#close_hasil_relaas').click(function(){
        window.open("<?php echo base_url('perkara_detil_agama/'.$enc.'/4');?>","_self");    
    });        
<?php
}else{
?>
    $('#close_hasil_relaas').closingFormWin();
<?php
}
?> 

$(document).ready(function() {	
	$(document).on('focus','input[name=laks]',function(){
    	var rowin = $(this).closest('tr').index();
		$('#tgl_pelaks'+rowin).datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
            beforeShowDay:$.datepicker.noWeekends,
            onSelect: function(dateText, inst) {
                //var error = 0;
                var date = $(this).datepicker('getDate');
                var dayOfWeek = weekday[date.getDay()];
                var error = 0;
                var message ='';
                if(dayOfWeek=='Sunday' || dayOfWeek=='Saturday'){
                    message ='Tidak Dapat Memilih diluar Hari Kerja (Sabtu & Minggu).';
                    error = 1;
                }
                
	            if(error==1){
                    message_error_show(message);
                    $(this).css("background-color", "red");
                }else{
                    $(this).css("background-color", "#dedbdb");
                }

		    	var rowin = $(this).closest('tr').index();
				$('table#pelaks_relaas td#r_ket'+rowin).attr('contenteditable', false);    	
			    $("td#r_ket"+rowin).css({"background-color": "","color": ""});
			    var tgl_pelaks=$('#tgl_pelaks'+rowin).val();
			    var temu=$('#bertemu'+rowin).val();
			    var ketrelaas=$('#r_ket'+rowin).html();
		    	var enc = "<?php echo $enc;?>";
		    	var sidang_id = "<?php echo $idjadwal;?>";
				var pihakid = $('#data_id'+rowin).attr('pihakid'+rowin);
				var tgl_sidang = "<?php echo $tanggal_sidang;?>";	
				var namahalaman = "<?php echo $namahalaman;?>";	
			   	$.post('<?php echo base_url()?>data_relaas_c/input_data', {
					tgl_pelaks:tgl_pelaks,
					temu:temu,
					ketrelaas:ketrelaas,
					enc:enc,
					sidang_id:sidang_id,
					pihakid:pihakid,
					tgl_sidang:tgl_sidang,
					namahalaman:namahalaman
				}, function(response){
					var json = jQuery.parseJSON(response);
					if(json.st==0){
						message_error_show(json.msg);
						$('#tgl_pelaks'+rowin).focus();
					}
				});
                error = 0;
            }
        });
		$('.datepicker').ValidateDateInput();
	});

	$(document).on('click','.ketrelaas',function(){
		var jurusita = "<?php echo $this->session->userdata('idgroup'); ?>";
    	var rowin = $(this).closest('tr').index();
    	if(jurusita==600||jurusita==1){
			$('table#pelaks_relaas td#r_ket'+rowin).attr('contenteditable', true);    	
		    $("td#r_ket"+rowin).css({"background-color": "#FFFF99","color": "red"});    		
    	}else{
    		$('table#pelaks_relaas td#r_ket'+rowin).attr('contenteditable', false);    	
    	}
	});
	$('.ketrelaas, .temu, input[name=laks]').blur(function(){
    	var rowin = $(this).closest('tr').index();
		$('table#pelaks_relaas td#r_ket'+rowin).attr('contenteditable', false);    	
	    $("td#r_ket"+rowin).css({"background-color": "","color": ""});
	    var tgl_pelaks=$('#tgl_pelaks'+rowin).val();
	    var temu=$('#bertemu'+rowin).val();
	    var ketrelaas=$('#r_ket'+rowin).html();
    	var enc = "<?php echo $enc;?>";
    	var sidang_id = "<?php echo $idjadwal;?>";
		var pihakid = $('#data_id'+rowin).attr('pihakid'+rowin);
		var tgl_sidang = "<?php echo $tanggal_sidang;?>";
		var namahalaman = "<?php echo $namahalaman;?>";	
	   	$.post('<?php echo base_url()?>data_relaas_c/input_data', {
			tgl_pelaks:tgl_pelaks,
			temu:temu,
			ketrelaas:ketrelaas,
			enc:enc,
			sidang_id:sidang_id,
			pihakid:pihakid,
			tgl_sidang:tgl_sidang,
			namahalaman:namahalaman
		}, function(response){
			var json = jQuery.parseJSON(response);
			if(json.st==1){
				$('#r_upload'+rowin).find(".up_doc").show();	
			}
			
		});
	});
});
</script>